Đến nội dung


Hình ảnh
- - - - -

Giúp mình lệnh đo tổng chiều dài của nhiều đoạn thẳng


  • Please log in to reply
3 replies to this topic

#1 vostro 1500

vostro 1500

    biết zoom

  • Members
  • Pip
  • 17 Bài viết
Điểm đánh giá: 27 (tàm tạm)

Đã gửi 07 October 2008 - 10:17 AM

Mình có nhiều đoạn thẳng nối với nhau muốn đo tổng chiều dài thì dùng lệnh gì các bác ơi? Kiểu như lệnh Distandce. Thanks!
  • 0

#2 tuanblack

tuanblack

    biết vẽ line

  • Members
  • PipPip
  • 26 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 07 October 2008 - 10:50 AM

bạn có thể đo từng đoạn rồi dùng lệnh 'cal" để tính còn không thì bạn dùng pedit nối chúng lại với nhau (join) sau đó ctrl +1 hoặc CH thì ra kết quả ngay. bạn nào có cách khác share cho anh em với....
  • 0

#3 meohoang

meohoang

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 811 Bài viết
Điểm đánh giá: 342 (khá)

Đã gửi 07 October 2008 - 11:05 AM

Mình có nhiều đoạn thẳng nối với nhau muốn đo tổng chiều dài thì dùng lệnh gì các bác ơi? Kiểu như lệnh Distandce. Thanks!

Dùng lisp này nha
http://www.cadviet.c..._doi_tuong.html
  • 0

#4 doanduyhung

doanduyhung

    biết vẽ spline

  • Members
  • PipPip
  • 90 Bài viết
Điểm đánh giá: 40 (tàm tạm)

Đã gửi 07 October 2008 - 11:21 AM

Thử dùng lisp này xem sao nhé.
********************************
(defun c:dotongpl(/)
(setq chieudai 0.00)
(setq sspolyline (ssget))
(setq i 0)
(repeat (sslength sspolyline)
(setq polylinechon (ssname sspolyline i))
(setq polylinechon (vlax-ename->vla-object polylinechon))
(setq chieudai1 (vlax-get-property polylinechon 'length))
(setq chieudai (+ chieudai1 chieudai))
(setq i (+ i 1))
)
(princ (rtos chieudai 2 3))
)
*******************************
http://doanduyhung.googlepages.com/
  • 0